<?php
/**
 * @package   Gridbox
 * @author    Balbooa https://www.balbooa.com/
 * @copyright Copyright © Balbooa
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace Balbooa\Component\Forms\Site\Helper\Uploads\Enums;

use Balbooa\Component\Forms\Site\Helper\Uploads\Attachments;
use Balbooa\Component\Forms\Site\Helper\Uploads\Pdf;
use Balbooa\Component\Forms\Site\Helper\Uploads\Signatures;

defined('_JEXEC') or die;

enum UploadEnum: string
{
    case Attachments = 'attachments';
    case Pdf = 'pdf';
    case Signatures = 'signatures';

    public function getClass(): string
    {
        return match($this) {
            self::Attachments => Attachments::class,
            self::Pdf => Pdf::class,
            self::Signatures => Signatures::class,
        };
    }

}
